RedCrawler API
Users V1

User Posts by Name V1

Get a user's submitted posts. Public endpoint, no auth required.

GET /api/v1/profiles/{username}/posts

Get a user's submitted posts. Public endpoint, no auth required.

Path parameters

NameTypeRequiredDescription
usernamestringYesReddit username.

Query parameters

NameTypeRequiredDescription
limitnumberNoNumber of results (1-250). Default: 25.
sortstringNoSort: new, top, hot, controversial. Default: new.
time_filterstringNoTime filter: hour, day, week, month, year, all.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/profiles/Motor_Tip8865/posts?limit=25&sort=new&time_filter=<time_filter>" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/profiles/Motor_Tip8865/posts?limit=25&sort=new&time_filter=<time_filter>", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/profiles/Motor_Tip8865/posts?limit=25&sort=new&time_filter=<time_filter>"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "items": [
      {
        "subreddit": "test",
        "selftext": "",
        "author_fullname": "t2_exampleu",
        "saved": false,
        "gilded": 0,
        "clicked": false,
        "title": "text post",
        "link_flair_richtext": [],
        "subreddit_name_prefixed": "r/test",
        "hidden": false,
        "link_flair_css_class": null,
        "downs": 0,
        "thumbnail_height": null,
        "hide_score": true,
        "name": "t3_1sys4r2",
        "quarantine": false,
        "link_flair_text_color": "dark",
        "upvote_ratio": 1.0,
        "author_flair_background_color": null,
        "ups": 1,
        "total_awards_received": 0,
        "media_embed": {},
        "thumbnail_width": null,
        "is_original_content": false,
        "secure_media": null,
        "is_reddit_media_domain": false,
        "is_meta": false,
        "category": null,
        "secure_media_embed": {},
        "link_flair_text": null,
        "score": 1,
        "is_created_from_ads_ui": false,
        "author_premium": false,
        "thumbnail": "self",
        "edited": false,
        "author_flair_css_class": null,
        "author_flair_richtext": [],
        "gildings": {},
        "content_categories": null,
        "is_self": true,
        "created": 1777452814.0,
        "link_flair_type": "text",
        "removed_by_category": null,
        "author_flair_type": "text",
        "domain": "self.test",
        "allow_live_comments": false,
        "selftext_html": null,
        "likes": null,
        "suggested_sort": null,
        "archived": false,
        "is_crosspostable": false,
        "pinned": false,
        "over_18": false,
        "all_awardings": [],
        "spoiler": false,
        "locked": false,
        "author_flair_text": null,
        "visited": false,
        "removed_by": null,
        "distinguished": null,
        "subreddit_id": "t5_examples",
        "author_is_blocked": false,
        "link_flair_background_color": "",
        "id": "1syt6xi",
        "author": "Motor_Tip8865",
        "num_comments": 0,
        "send_replies": true,
        "contest_mode": false,
        "author_flair_text_color": null,
        "permalink": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "stickied": false,
        "url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "subreddit_subscribers": 41527,
        "created_utc": 1777452814.0,
        "num_crossposts": 0,
        "media": null,
        "is_video": false
      },
      {
        "subreddit": "test",
        "selftext": "Poll post body\n\n[View Poll](https://www.reddit.com/poll/1sysc7p)",
        "author_fullname": "t2_exampleu",
        "saved": false,
        "gilded": 0,
        "clicked": false,
        "title": "Poll post",
        "link_flair_richtext": [],
        "subreddit_name_prefixed": "r/test",
        "hidden": false,
        "link_flair_css_class": null,
        "downs": 0,
        "thumbnail_height": null,
        "hide_score": true,
        "name": "t3_1sys4r2",
        "quarantine": false,
        "link_flair_text_color": "dark",
        "upvote_ratio": 1.0,
        "author_flair_background_color": null,
        "ups": 1,
        "total_awards_received": 0,
        "media_embed": {},
        "thumbnail_width": null,
        "is_original_content": false,
        "secure_media": null,
        "is_reddit_media_domain": false,
        "is_meta": false,
        "category": null,
        "secure_media_embed": {},
        "link_flair_text": null,
        "score": 1,
        "is_created_from_ads_ui": false,
        "author_premium": false,
        "thumbnail": "self",
        "edited": false,
        "author_flair_css_class": null,
        "author_flair_richtext": [],
        "gildings": {},
        "content_categories": null,
        "is_self": true,
        "created": 1777449763.0,
        "link_flair_type": "text",
        "removed_by_category": null,
        "author_flair_type": "text",
        "domain": "self.test",
        "allow_live_comments": false,
        "selftext_html": "&lt;!-- SC_OFF --&gt;&lt;div class=\"md\"&gt;&lt;p&gt;Poll post body&lt;/p&gt;\n\n&lt;p&gt;&lt;a href=\"https://www.reddit.com/poll/1sysc7p\"&gt;View Poll&lt;/a&gt;&lt;/p&gt;\n&lt;/div&gt;&lt;!-- SC_ON --&gt;",
        "likes": null,
        "suggested_sort": null,
        "archived": false,
        "is_crosspostable": false,
        "pinned": false,
        "over_18": false,
        "all_awardings": [],
        "spoiler": false,
        "locked": false,
        "author_flair_text": null,
        "visited": false,
        "removed_by": null,
        "distinguished": null,
        "subreddit_id": "t5_examples",
        "author_is_blocked": false,
        "link_flair_background_color": "",
        "id": "1sysc7p",
        "author": "Motor_Tip8865",
        "num_comments": 0,
        "send_replies": true,
        "contest_mode": false,
        "poll_data": {
          "prediction_status": null,
          "total_stake_amount": null,
          "voting_end_timestamp": 1778054563859,
          "options": [
            {
              "text": "Option A",
              "id": "32526818"
            },
            {
              "text": "Option B",
              "id": "32526819"
            },
            "\u2026 (1 more items)"
          ],
          "vote_updates_remained": null,
          "is_prediction": false,
          "resolved_option_id": null,
          "user_won_amount": null,
          "user_selection": null,
          "total_vote_count": 1,
          "tournament_id": null
        },
        "author_flair_text_color": null,
        "permalink": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "stickied": false,
        "url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "subreddit_subscribers": 41527,
        "created_utc": 1777449763.0,
        "num_crossposts": 0,
        "media": null,
        "is_video": false
      },
      "\u2026 (8 more items)"
    ],
    "cursor": null
  },
  "error": null,
  "timestamp": "2026-04-29T08:58:52.190876+00:00"
}

On this page